Package Details: scrabble3d 3.1.4_1-1

Git Clone URL: https://aur.archlinux.org/scrabble3d.git (read-only)
Package Base: scrabble3d
Description: Highly customizable Scrabble game (classic, SuperScrabble, 3D games)
Upstream URL: http://scrabble.sourceforge.net/wiki/
Licenses: GPL
Submitter: galaux
Maintainer: jose1711
Last Packager: jose1711
Votes: 14
Popularity: 0.000055
First Submitted: 2011-03-12 22:27
Last Updated: 2016-01-19 21:37

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

martinbaselier commented on 2012-01-31 23:45

The Checksum for the 64-bit package now is:

f6a913a71932c65c2ce262a8d97edd5e

Scotty commented on 2012-01-13 09:57

No need to hury about licence. I plan to switch back to GPL since CC NC3 doesn't fit software.

jose1711 commented on 2012-01-13 08:18

please also fix the license. wiki says it's Creative Commons, Noncommercial, not GPL.

Scotty commented on 2011-12-17 22:33

@galaux: I'm the developer, unfortunately the only one. I was creating the deb, rpm and msi packages, apparently with insufficient quality. I'm glad to get any help.

galaux commented on 2011-12-17 20:21

@Scotty: would you happen to be a dev if this app? If so, interested in maintaining this Arch package?

Scotty commented on 2011-12-14 23:31

Program is written in Freepascal with traget Gtk2 (Qt is in preparation); therefore the usual way to compile is not available.
Range check error might be related to multithreading, it seldom occurs for me. You can switch off that option.
Please report bugs in the formum linked at About or at Sourceforge.net. I'm open for all kinds of packaging.

galaux commented on 2011-12-05 21:30

There was a new version: that's why. Up to date. Thanks.

VVS commented on 2011-12-02 20:44

==> Проверка исходных файлов с помощью md5sums...
Scrabble3D-i386.deb ... СБОЙ
==> ОШИБКА: Один или более файлов не прошли проверку целостности!
==> ERROR: Makepkg was unable to build scrabble3d.
==> Restart building scrabble3d ? [y/N]

md5sums does not pass... :(

galaux commented on 2011-07-13 19:26

> I'm going to say the problems are upstream.
Yes, as you saw this package is just an extract of the already compiled bin so this looks like upstream.

> Long story short, I don't think Scrabble3D was written with tiling WMs in mind. :/
:)

> Also, I find it very strange they do not list dependencies in the deb
Not an official Debian package so...

fsckd commented on 2011-07-13 17:55

Sorry, I should have mentioned, I'm using i686 and WM is XMonad.

I just tried some stuff. I was able to start a new game and download a dictionary. I was also able to turn on debugging but I do not know where the output is sent.

The main issue seem to be a "Range check error". Frozen ui sometimes has maximum CPU usage. When I tried to exit the program, the ui froze and no abnormal CPU usage. There are other issues as well, too numerous to list. Long story short, I don't think Scrabble3D was written with tiling WMs in mind. :/

The "Range check error" does not guarantee a crash. The output in the terminal is usually the same as in my first post below and sometimes less. An error window appears with two options, 'OK' and 'Cancel'. The window has the following message contents:
Range check error.
Press OK to ignore and risk data corruption.
Press Cancel to kill the program.

Tile movement is very weird and the game is effectively unplayable. I'll have to try more stuff and see if this can work with a tiling WM.

Anyways, thanks for trying. I'm going to say the problems are upstream. :-) (Also, I find it very strange they do not list dependencies in the deb.)